## org.opengis.feature
Interface FeatureStoreListener

All Superinterfaces:
  EventListener

Deprecated. Removed pending a redesign of feature storage interfaces

    @Deprecated
    public interface FeatureStoreListener

extends EventListener

Interface whose methods are invoked when types are modified in a `FeatureStore`. To use this interface, implement its methods and invoke the `addFeatureStoreListener` method on feature store.

Since:
  GeoAPI 2.0

Method Summary
`void` `typeAdded(FeatureStoreEvent dse)` Deprecated. Invoked when a new `FeatureType` has been created.
`void` `typeModified(FeatureStoreEvent dse)` Deprecated. Invoked when the schema for a type has been changed.
`void` `typeRemoved(FeatureStoreEvent dse)` Deprecated. Invoked when a `FeatureType` has been removed from a `FeatureStore`.

Method Detail

### typeAdded

    void typeAdded(FeatureStoreEvent dse)

  Deprecated.
  Invoked when a new `FeatureType` has been created.

### typeRemoved

    void typeRemoved(FeatureStoreEvent dse)

  Deprecated.
  Invoked when a `FeatureType` has been removed from a `FeatureStore`.

### typeModified

    void typeModified(FeatureStoreEvent dse)

  Deprecated.
  Invoked when the schema for a type has been changed.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.